Index: /extensions/rv_menutree/branches/2.3/changelog.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/changelog.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/changelog.txt	(revision 13039)
@@ -0,0 +1,21 @@
+2.3.a
+	- compatible piwigo 2.2
+
+2.2.a
+	- compatible piwigo 2.2
+
+2.1.c
+	- javascript async stuff
+	- lv_lv language description
+
+2.1.b
+	- themes can define their own rv_menutree_categories.tpl
+	- improved javascript (faster, async loading in browser, better compressed zith google closure compiler)
+
+2.1.a
+	- compatibility with piwigo 2.1
+
+2.0.c
+	- optimizations by calling make_index_url less frequently
+	- compatible with IE8
+
Index: /extensions/rv_menutree/branches/2.3/js/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/js/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/js/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 3572 2009-07-13 05:09:02Z rvelices $
+// | last update   : $Date: 2009-07-13 07:09:02 +0200 (lun., 13 juil. 2009) $
+// | last modifier : $Author: rvelices $
+// | revision      : $Revision: 3572 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/js/rvtree.js
===================================================================
--- /extensions/rv_menutree/branches/2.3/js/rvtree.js	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/js/rvtree.js	(revision 13039)
@@ -0,0 +1,151 @@
+/* this is not directly used - compress it as rvtree-min.js on http://javascriptcompressor.com/ or http://closure-compiler.appspot.com
+Based on Matt Kruse <matt@mattkruse.com> http://www.mattkruse.com/ */
+var XElement = {
+	hasClass: function(element, className) {
+		if (!element) return false;
+		var elementClassName = element.className;
+		return ( elementClassName.length > 0 && (elementClassName == className ||
+						new RegExp("(^|\\s)" + className + "(\\s|$)").test(elementClassName)) );
+	},
+
+	addClass: function(element, className) {
+		if (!element) return;
+		if (!XElement.hasClass(element, className))
+				element.className += (element.className ? ' ' : '') + className;
+		return element;
+	},
+
+	toggleClasses: function(element, class1, class2) {
+		if (!element) return;
+		var classNames = element.className.split(/\s+/);
+		var i1=-1, i2=-1;
+		for (var i=0; i<classNames.length; i++)
+		{
+				if (classNames[i]==class1) i1=i;
+				if (classNames[i]==class2) i2=i;
+		}
+		if (i1>=0)
+		{
+				classNames.splice(i1,1);
+				if (i2>=i1)
+						i2--;
+		}
+		else
+				classNames.push(class1);
+	 
+		if (i2>=0)
+				classNames.splice(i2,1);
+		else
+				classNames.push(class2);
+		element.className = classNames.join(' ');
+		return element;
+	}
+};
+
+var RVTree =
+{
+	options :
+	{
+		nodeClosedClass: "liClosed",
+		nodeOpenClass: "liOpen",
+		nodeBulletClass: "liBullet",
+		nodeLinkClass: "bullet"
+	},
+
+	convertTree: function (root)
+	{
+		if (!document.createElement)
+			return; // Without createElement, we can't do anything
+		if (window.attachEvent && !window.opera)
+		{
+			if ( new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})").exec( navigator.userAgent ) != null )
+				RVTree.options.IEVersion = parseFloat( RegExp.$1 );
+		}
+		RVTree._processList(root, true);
+	},
+
+	_processList: function(ul, isRoot)
+	{
+		if (!ul.childNodes || ul.childNodes.length==0) 
+			return;
+
+		for (var i=0; i<ul.childNodes.length; i++)
+		{ //Iterate LIs
+			var item = ul.childNodes[i];
+			if (item.nodeName != "LI")
+				continue;
+
+			// Iterate things in this LI
+			var subLists = false;
+			for (var sitemi=0;sitemi<item.childNodes.length;sitemi++)
+			{
+				var sitem = item.childNodes[sitemi];
+				if (sitem.nodeName=="UL")
+				{
+					subLists = true;
+					RVTree._processList(sitem, false);
+				}
+			}
+
+			var s= document.createElement("SPAN");
+			var t= '\u00A0'; // &nbsp;
+			s.className = RVTree.options.nodeLinkClass;
+			if (subLists)
+			{
+				// This LI has UL's in it, so it's a +/- node
+				if ( !XElement.hasClass(item, RVTree.options.nodeOpenClass) )
+					XElement.addClass(item, RVTree.options.nodeClosedClass);
+
+				// If it's just text, make the text work as the link also
+				if (item.firstChild.nodeName=="#text")
+				{
+					t = t+item.firstChild.nodeValue;
+					item.removeChild(item.firstChild);
+				}
+				s.onclick = function ()
+				{
+					XElement.toggleClasses(this.parentNode, RVTree.options.nodeOpenClass, RVTree.options.nodeClosedClass );
+					return false;
+				}
+			}
+			else
+			{// No sublists
+				if ( XElement.hasClass(item, RVTree.options.nodeClosedClass) )
+				{
+					s.onclick = function()
+					{
+						var nodes = this.parentNode.getElementsByTagName("A");
+						if (nodes.length)
+							document.location = nodes[0].href;
+					}
+				}
+				else
+					XElement.addClass(item, RVTree.options.nodeBulletClass);
+			}
+
+			item.style.listStyleType='none';
+			if (isRoot && RVTree.options.IEVersion && RVTree.options.IEVersion < 8)
+				item.style.marginLeft="-16px"; // thats IE6,IE7 ; IE8 seems more compliant
+			if (s)
+			{
+				s.appendChild(document.createTextNode(t));
+				item.insertBefore(s,item.firstChild);
+			}
+		}
+		ul.style.marginLeft = 0;
+		ul.style.paddingLeft = isRoot ? 0 : "8px";
+	}
+};
+
+(function() {
+	if (typeof _rvTreeAutoQueue != "undefined" && _rvTreeAutoQueue.length)
+	{
+			for (var i=0; i<_rvTreeAutoQueue.length; i++)
+					RVTree.convertTree(_rvTreeAutoQueue[i]);
+	}
+	_rvTreeAutoQueue = {
+		push: function(elt) {
+			RVTree.convertTree(elt);
+		}
+	}
+})();
Index: /extensions/rv_menutree/branches/2.3/js/rvtree.min.js
===================================================================
--- /extensions/rv_menutree/branches/2.3/js/rvtree.min.js	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/js/rvtree.min.js	(revision 13039)
@@ -0,0 +1,5 @@
+var XElement={hasClass:function(a,d){if(!a)return false;var f=a.className;return f.length>0&&(f==d||RegExp("(^|\\s)"+d+"(\\s|$)").test(f))},addClass:function(a,d){if(a){XElement.hasClass(a,d)||(a.className+=(a.className?" ":"")+d);return a}},toggleClasses:function(a,d,f){if(a){for(var b=a.className.split(/\s+/),g=-1,c=-1,e=0;e<b.length;e++){if(b[e]==d)g=e;if(b[e]==f)c=e}if(g>=0){b.splice(g,1);c>=g&&c--}else b.push(d);c>=0?b.splice(c,1):b.push(f);a.className=b.join(" ");return a}}},RVTree={options:{nodeClosedClass:"liClosed",
+nodeOpenClass:"liOpen",nodeBulletClass:"liBullet",nodeLinkClass:"bullet"},convertTree:function(a){if(document.createElement){if(window.attachEvent&&!window.opera)if(/MSIE ([0-9]{1,}[.0-9]{0,})/.exec(navigator.userAgent)!=null)RVTree.options.IEVersion=parseFloat(RegExp.$1);RVTree._processList(a,true)}},_processList:function(a,d){if(!(!a.childNodes||a.childNodes.length==0)){for(var f=0;f<a.childNodes.length;f++){var b=a.childNodes[f];if(b.nodeName=="LI"){for(var g=false,c=0;c<b.childNodes.length;c++){var e=
+b.childNodes[c];if(e.nodeName=="UL"){g=true;RVTree._processList(e,false)}}c=document.createElement("SPAN");e="\u00a0";c.className=RVTree.options.nodeLinkClass;if(g){XElement.hasClass(b,RVTree.options.nodeOpenClass)||XElement.addClass(b,RVTree.options.nodeClosedClass);if(b.firstChild.nodeName=="#text"){e+=b.firstChild.nodeValue;b.removeChild(b.firstChild)}c.onclick=function(){XElement.toggleClasses(this.parentNode,RVTree.options.nodeOpenClass,RVTree.options.nodeClosedClass);return false}}else if(XElement.hasClass(b,
+RVTree.options.nodeClosedClass))c.onclick=function(){var h=this.parentNode.getElementsByTagName("A");if(h.length)document.location=h[0].href};else XElement.addClass(b,RVTree.options.nodeBulletClass);b.style.listStyleType="none";if(d&&RVTree.options.IEVersion&&RVTree.options.IEVersion<8)b.style.marginLeft="-16px";if(c){c.appendChild(document.createTextNode(e));b.insertBefore(c,b.firstChild)}}}a.style.marginLeft=0;a.style.paddingLeft=d?0:"8px"}}};
+(function(){if(typeof _rvTreeAutoQueue!="undefined"&&_rvTreeAutoQueue.length)for(var a=0;a<_rvTreeAutoQueue.length;a++)RVTree.convertTree(_rvTreeAutoQueue[a]);_rvTreeAutoQueue={push:function(d){RVTree.convertTree(d)}}})();
Index: /extensions/rv_menutree/branches/2.3/language/cs_CZ/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/cs_CZ/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/cs_CZ/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Nahradí menu kategorií jiným typem (javascript menu).
Index: /extensions/rv_menutree/branches/2.3/language/cs_CZ/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/cs_CZ/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/cs_CZ/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/de_DE/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/de_DE/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/de_DE/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Ersetzt die Kategorien in der Menüleiste mit einem schöneren (JavaScript).
Index: /extensions/rv_menutree/branches/2.3/language/de_DE/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/de_DE/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/de_DE/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/en_UK/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/en_UK/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/en_UK/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Replaces the categories in the menu bar with a nicer one (javascript).
Index: /extensions/rv_menutree/branches/2.3/language/en_UK/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/en_UK/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/en_UK/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4192 2009-11-05 11:48:31Z ddtddt $
+// | last update   : $Date: 2009-11-05 12:48:31 +0100 (jeu., 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4192 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/es_ES/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/es_ES/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/es_ES/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Sustituye las categorías en la barra de menú con uno más agradable (javascript).
Index: /extensions/rv_menutree/branches/2.3/language/es_ES/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/es_ES/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/es_ES/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/fr_FR/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/fr_FR/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/fr_FR/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Améliore l'affichage des catégories du menu (javascript).
Index: /extensions/rv_menutree/branches/2.3/language/fr_FR/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/fr_FR/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/fr_FR/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4192 2009-11-05 11:48:31Z ddtddt $
+// | last update   : $Date: 2009-11-05 12:48:31 +0100 (jeu., 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4192 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 3572 2009-07-13 05:09:02Z rvelices $
+// | last update   : $Date: 2009-07-13 07:09:02 +0200 (lun., 13 juil. 2009) $
+// | last modifier : $Author: rvelices $
+// | revision      : $Revision: 3572 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/it_IT/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/it_IT/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/it_IT/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Migliora la visualizzazione delle categorie del menu (javascript).
Index: /extensions/rv_menutree/branches/2.3/language/it_IT/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/it_IT/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/it_IT/index.php	(revision 13039)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/ja_JP/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/ja_JP/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/ja_JP/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+メニューに属するカテゴリーをきれいなものを置き換える。 (javascript)。
Index: /extensions/rv_menutree/branches/2.3/language/ja_JP/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/ja_JP/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/ja_JP/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/lv_LV/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/lv_LV/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/lv_LV/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Aizvieto kategorijas izvēlnē ar labākām (javascript).
Index: /extensions/rv_menutree/branches/2.3/language/lv_LV/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/lv_LV/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/lv_LV/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/no_NO/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/no_NO/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/no_NO/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Bytter album i meny linjen til noen som er finere  (javascript).
Index: /extensions/rv_menutree/branches/2.3/language/no_NO/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/no_NO/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/no_NO/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/ru_RU/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/ru_RU/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/ru_RU/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Улучшенное отображение категорий в меню галереи с использованием JavaScript.
Index: /extensions/rv_menutree/branches/2.3/language/ru_RU/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/ru_RU/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/ru_RU/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/sk_SK/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/sk_SK/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/sk_SK/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Prepísanie kategórií v menu krajším (javascript).
Index: /extensions/rv_menutree/branches/2.3/language/sk_SK/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/sk_SK/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/sk_SK/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/language/tr_TR/description.txt
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/tr_TR/description.txt	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/tr_TR/description.txt	(revision 13039)
@@ -0,0 +1,1 @@
+Javascript kullanarak güzel bir kategori menüsü oluşturur.
Index: /extensions/rv_menutree/branches/2.3/language/tr_TR/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/language/tr_TR/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/language/tr_TR/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 4192 2009-11-05 11:48:31Z ddtddt $
+// | last update   : $Date: 2009-11-05 12:48:31 +0100 (jeu., 05 nov. 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 4192 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/main.inc.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/main.inc.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/main.inc.php	(revision 13039)
@@ -0,0 +1,49 @@
+<?php /*
+Plugin Name: RV Menu Tree
+Version: 2.3.a
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=238
+Description: Replaces the categories in the menu bar with a nicer one (javascript).
+Author: rvelices
+Author URI: http://www.modusoptimus.com
+*/
+
+add_event_handler('get_categories_menu_sql_where', 'rv_mt_get_categories_menu_sql_where', EVENT_HANDLER_PRIORITY_NEUTRAL, 3 );
+
+function rv_mt_get_categories_menu_sql_where($where, $expand, $filter)
+{
+	add_event_handler('blockmanager_apply', 'rv_mt_menubar_categories');
+
+	if ($expand or $filter)
+		return $where;
+
+	global $page;
+	if ( !isset($page['category']) )
+		$where = 'id_uppercat IS NULL OR uppercats REGEXP \'^[0-9]+,[0-9]+$\'';
+	else
+	{
+		$where = 'id_uppercat is NULL
+  OR uppercats LIKE "'.$page['category']['upper_names'][0]['id'].',%"
+  OR uppercats REGEXP \'^[0-9]+,[0-9]+$\'';
+	}
+	return $where;
+}
+
+function rv_mt_menubar_categories($menu_ref_arr)
+{
+	$menu = & $menu_ref_arr[0];
+
+	if (($block = $menu->get_block('mbCategories')) != null)
+	{
+		global $template, $page;
+
+		$rvmt_base_name  = basename(dirname(__FILE__));
+		$template->set_template_dir(PHPWG_ROOT_PATH.'plugins/'.$rvmt_base_name.'/template/');
+		$template->assign(array(
+			'RVMT_BASE_NAME' => $rvmt_base_name,
+			'RVMT_UPPER_IDS' => isset($page['category']['uppercats']) ? array_flip( explode(',', $page['category']['uppercats'])) : null,
+			)
+		);
+		$block->template = 'rv_menutree_categories.tpl';
+	}
+}
+?>
Index: /extensions/rv_menutree/branches/2.3/template/index.php
===================================================================
--- /extensions/rv_menutree/branches/2.3/template/index.php	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/template/index.php	(revision 13039)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 3572 2009-07-13 05:09:02Z rvelices $
+// | last update   : $Date: 2009-07-13 07:09:02 +0200 (lun., 13 juil. 2009) $
+// | last modifier : $Author: rvelices $
+// | revision      : $Revision: 3572 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/rv_menutree/branches/2.3/template/rv_menutree_categories.tpl
===================================================================
--- /extensions/rv_menutree/branches/2.3/template/rv_menutree_categories.tpl	(revision 13039)
+++ /extensions/rv_menutree/branches/2.3/template/rv_menutree_categories.tpl	(revision 13039)
@@ -0,0 +1,57 @@
+{html_head}
+<style type="text/css">
+li .bullet {ldelim}padding-left:14px;margin-left:0;background:url({$ROOT_URL}plugins/{$RVMT_BASE_NAME}/img/bpm.gif) no-repeat scroll}
+.liOpen .bullet {ldelim}cursor:pointer;background-position:-38px center}
+.liClosed .bullet {ldelim}cursor:pointer;background-position:-19px center}
+.liBullet .bullet {ldelim}cursor:default;background-position:0 center}
+.liClosed ul {ldelim}display:none;}
+</style>
+{/html_head}
+<dt>
+  {if isset($U_START_FILTER)}
+  <a href="{$U_START_FILTER}" title="{'display only recently posted photos'|@translate}" rel="nofollow"><img src="{$ROOT_URL}{$themeconf.icon_dir}/start_filter.png" class="button" alt="start filter"></a>
+  {/if}
+  {if isset($U_STOP_FILTER)}
+  <a href="{$U_STOP_FILTER}" title="{'return to the display of all photos'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/stop_filter.png" class="button" alt="stop filter"></a>
+  {/if}
+	<a href="{$block->data.U_CATEGORIES}">{'Albums'|@translate}</a>
+</dt>
+<dd>
+{strip}
+{assign var='ref_level' value=0}
+{foreach from=$block->data.MENU_CATEGORIES item=cat key=key}
+	{if $cat.LEVEL > $ref_level}
+		<ul{if $ref_level == 0} class=rvTree id=theCategoryMenu{/if}>
+	{else}
+		</li>
+		{'</ul></li>'|@str_repeat:$ref_level-$cat.LEVEL}
+	{/if}
+	{if $cat.SELECTED}
+		{assign var=liclass value='selected '}
+	{else}
+		{assign var=liclass value=''}
+	{/if}
+	{if $cat.count_categories > 0}
+		{if isset($U_STOP_FILTER) or isset($RVMT_UPPER_IDS[$cat.id])}
+			{assign var=liclass value="`$liclass`liOpen"}
+		{else}
+			{assign var=liclass value="`$liclass`liClosed"}
+		{/if}
+	{/if}
+	<li{if !empty($liclass)} class="{$liclass}"{/if}> <a href="{$cat.URL}"{if $cat.IS_UPPERCAT} rel="up"{/if}>{$cat.NAME}</a>
+		{if $cat.count_images > 0}
+			<span{if $cat.nb_images <= 0} class=menuInfoCatByChild{/if} title="{$cat.TITLE}"> [{$cat.count_images}] </span>
+		{/if}
+		{if !empty($cat.icon_ts)}
+			<img title="{$cat.icon_ts.TITLE}" src="{$ROOT_URL}{$themeconf.icon_dir}/recent{if $cat.icon_ts.IS_CHILD_DATE}_by_child{/if}.png" alt="(!)">
+		{/if}
+	{assign var='ref_level' value=$cat.LEVEL}
+{/foreach}
+{'</li></ul>'|@str_repeat:$ref_level}
+{/strip}
+{combine_script id='rvmt' load='async' path="plugins/`$RVMT_BASE_NAME`/js/rvtree.min.js"}
+{footer_script}
+var _rvTreeAutoQueue = _rvTreeAutoQueue||[]; _rvTreeAutoQueue.push(  document.getElementById('theCategoryMenu') );
+{/footer_script}
+	<p class=totalImages>{$pwg->l10n_dec('%d photo', '%d photos', $block->data.NB_PICTURE)}</p>
+</dd>
